
public class Class285 {

   static final int anInt3345 = 14;
   static final int anInt3346 = 7;
   int[][] anIntArrayArray3347;
   int anInt3348;
   int anInt3349;
   static final int anInt3350 = 6;


   public short[] method5223(short[] var1) {
      if(null != this.anIntArrayArray3347) {
         int var2 = 14 + (int)((long)(655883903 * this.anInt3349) * (long)var1.length / (long)(this.anInt3348 * -1502618649));
         int[] var3 = new int[var2];
         int var4 = 0;
         int var5 = 0;

         int var6;
         for(var6 = 0; var6 < var1.length; ++var6) {
            short var7 = var1[var6];
            int[] var8 = this.anIntArrayArray3347[var5];

            int var9;
            for(var9 = 0; var9 < 14; ++var9) {
               var3[var9 + var4] += var8[var9] * var7 >> 2;
            }

            var5 += this.anInt3349 * 655883903;
            var9 = var5 / (this.anInt3348 * -1502618649);
            var4 += var9;
            var5 -= var9 * -1502618649 * this.anInt3348;
         }

         var1 = new short[var2];

         for(var6 = 0; var6 < var2; ++var6) {
            int var10 = var3[var6] + 8192 >> 14;
            if(var10 < -32768) {
               var1[var6] = -32768;
            } else if(var10 > 32767) {
               var1[var6] = 32767;
            } else {
               var1[var6] = (short)var10;
            }
         }
      }

      return var1;
   }

   byte[] method5224(byte[] var1, byte var2) {
      if(this.anIntArrayArray3347 != null) {
         int var3 = 14 + (int)((long)var1.length * (long)(655883903 * this.anInt3349) / (long)(this.anInt3348 * -1502618649));
         int[] var4 = new int[var3];
         int var5 = 0;
         int var6 = 0;

         int var7;
         for(var7 = 0; var7 < var1.length; ++var7) {
            byte var8 = var1[var7];
            int[] var9 = this.anIntArrayArray3347[var6];

            int var10;
            for(var10 = 0; var10 < 14; ++var10) {
               var4[var5 + var10] += var8 * var9[var10];
            }

            var6 += this.anInt3349 * 655883903;
            var10 = var6 / (-1502618649 * this.anInt3348);
            var5 += var10;
            var6 -= var10 * this.anInt3348 * -1502618649;
         }

         var1 = new byte[var3];

         for(var7 = 0; var7 < var3; ++var7) {
            int var11 = var4[var7] + '\u8000' >> 16;
            if(var11 < -128) {
               var1[var7] = -128;
            } else if(var11 > 127) {
               var1[var7] = 127;
            } else {
               var1[var7] = (byte)var11;
            }
         }
      }

      return var1;
   }

   public short[] method5225(short[] var1, int var2) {
      if(null != this.anIntArrayArray3347) {
         int var3 = 14 + (int)((long)(655883903 * this.anInt3349) * (long)var1.length / (long)(this.anInt3348 * -1502618649));
         int[] var4 = new int[var3];
         int var5 = 0;
         int var6 = 0;

         int var7;
         for(var7 = 0; var7 < var1.length; ++var7) {
            short var8 = var1[var7];
            int[] var9 = this.anIntArrayArray3347[var6];

            int var10;
            for(var10 = 0; var10 < 14; ++var10) {
               var4[var10 + var5] += var9[var10] * var8 >> 2;
            }

            var6 += this.anInt3349 * 655883903;
            var10 = var6 / (this.anInt3348 * -1502618649);
            var5 += var10;
            var6 -= var10 * -1502618649 * this.anInt3348;
         }

         var1 = new short[var3];

         for(var7 = 0; var7 < var3; ++var7) {
            int var11 = var4[var7] + 8192 >> 14;
            if(var11 < -32768) {
               var1[var7] = -32768;
            } else if(var11 > 32767) {
               var1[var7] = 32767;
            } else {
               var1[var7] = (short)var11;
            }
         }
      }

      return var1;
   }

   byte[] method5226(byte[] var1) {
      if(this.anIntArrayArray3347 != null) {
         int var2 = 14 + (int)((long)var1.length * (long)(655883903 * this.anInt3349) / (long)(this.anInt3348 * -1502618649));
         int[] var3 = new int[var2];
         int var4 = 0;
         int var5 = 0;

         int var6;
         for(var6 = 0; var6 < var1.length; ++var6) {
            byte var7 = var1[var6];
            int[] var8 = this.anIntArrayArray3347[var5];

            int var9;
            for(var9 = 0; var9 < 14; ++var9) {
               var3[var4 + var9] += var7 * var8[var9];
            }

            var5 += this.anInt3349 * 655883903;
            var9 = var5 / (-1502618649 * this.anInt3348);
            var4 += var9;
            var5 -= var9 * this.anInt3348 * -1502618649;
         }

         var1 = new byte[var2];

         for(var6 = 0; var6 < var2; ++var6) {
            int var10 = var3[var6] + '\u8000' >> 16;
            if(var10 < -128) {
               var1[var6] = -128;
            } else if(var10 > 127) {
               var1[var6] = 127;
            } else {
               var1[var6] = (byte)var10;
            }
         }
      }

      return var1;
   }

   public Class285(int var1, int var2) {
      if(var2 != var1) {
         int var3 = Class50.method1204(var1, var2, -892114477);
         var1 /= var3;
         var2 /= var3;
         this.anInt3348 = -985856041 * var1;
         this.anInt3349 = 340115839 * var2;
         this.anIntArrayArray3347 = new int[var1][14];

         for(int var4 = 0; var4 < var1; ++var4) {
            int[] var5 = this.anIntArrayArray3347[var4];
            double var6 = (double)var4 / (double)var1 + 6.0D;
            int var8 = (int)Math.floor(1.0D + (var6 - 7.0D));
            if(var8 < 0) {
               var8 = 0;
            }

            int var9 = (int)Math.ceil(7.0D + var6);
            if(var9 > 14) {
               var9 = 14;
            }

            for(double var10 = (double)var2 / (double)var1; var8 < var9; ++var8) {
               double var12 = ((double)var8 - var6) * 3.141592653589793D;
               double var14 = var10;
               if(var12 < -1.0E-4D || var12 > 1.0E-4D) {
                  var14 = var10 * (Math.sin(var12) / var12);
               }

               var14 *= 0.54D + 0.46D * Math.cos(0.2243994752564138D * ((double)var8 - var6));
               var5[var8] = (int)Math.floor(0.5D + var14 * 65536.0D);
            }
         }

      }
   }

   byte[] method5227(byte[] var1) {
      if(this.anIntArrayArray3347 != null) {
         int var2 = 14 + (int)((long)var1.length * (long)(655883903 * this.anInt3349) / (long)(this.anInt3348 * -1502618649));
         int[] var3 = new int[var2];
         int var4 = 0;
         int var5 = 0;

         int var6;
         for(var6 = 0; var6 < var1.length; ++var6) {
            byte var7 = var1[var6];
            int[] var8 = this.anIntArrayArray3347[var5];

            int var9;
            for(var9 = 0; var9 < 14; ++var9) {
               var3[var4 + var9] += var7 * var8[var9];
            }

            var5 += this.anInt3349 * 655883903;
            var9 = var5 / (-1502618649 * this.anInt3348);
            var4 += var9;
            var5 -= var9 * this.anInt3348 * -1502618649;
         }

         var1 = new byte[var2];

         for(var6 = 0; var6 < var2; ++var6) {
            int var10 = var3[var6] + '\u8000' >> 16;
            if(var10 < -128) {
               var1[var6] = -128;
            } else if(var10 > 127) {
               var1[var6] = 127;
            } else {
               var1[var6] = (byte)var10;
            }
         }
      }

      return var1;
   }

   byte[] method5228(byte[] var1) {
      if(this.anIntArrayArray3347 != null) {
         int var2 = 14 + (int)((long)var1.length * (long)(655883903 * this.anInt3349) / (long)(this.anInt3348 * -1502618649));
         int[] var3 = new int[var2];
         int var4 = 0;
         int var5 = 0;

         int var6;
         for(var6 = 0; var6 < var1.length; ++var6) {
            byte var7 = var1[var6];
            int[] var8 = this.anIntArrayArray3347[var5];

            int var9;
            for(var9 = 0; var9 < 14; ++var9) {
               var3[var4 + var9] += var7 * var8[var9];
            }

            var5 += this.anInt3349 * 655883903;
            var9 = var5 / (-1502618649 * this.anInt3348);
            var4 += var9;
            var5 -= var9 * this.anInt3348 * -1502618649;
         }

         var1 = new byte[var2];

         for(var6 = 0; var6 < var2; ++var6) {
            int var10 = var3[var6] + '\u8000' >> 16;
            if(var10 < -128) {
               var1[var6] = -128;
            } else if(var10 > 127) {
               var1[var6] = 127;
            } else {
               var1[var6] = (byte)var10;
            }
         }
      }

      return var1;
   }

   int method5229(int var1, int var2) {
      if(null != this.anIntArrayArray3347) {
         var1 = (int)((long)var1 * (long)(this.anInt3349 * 655883903) / (long)(this.anInt3348 * -1502618649)) + 6;
      }

      return var1;
   }

   byte[] method5230(byte[] var1) {
      if(this.anIntArrayArray3347 != null) {
         int var2 = 14 + (int)((long)var1.length * (long)(655883903 * this.anInt3349) / (long)(this.anInt3348 * -1502618649));
         int[] var3 = new int[var2];
         int var4 = 0;
         int var5 = 0;

         int var6;
         for(var6 = 0; var6 < var1.length; ++var6) {
            byte var7 = var1[var6];
            int[] var8 = this.anIntArrayArray3347[var5];

            int var9;
            for(var9 = 0; var9 < 14; ++var9) {
               var3[var4 + var9] += var7 * var8[var9];
            }

            var5 += this.anInt3349 * 655883903;
            var9 = var5 / (-1502618649 * this.anInt3348);
            var4 += var9;
            var5 -= var9 * this.anInt3348 * -1502618649;
         }

         var1 = new byte[var2];

         for(var6 = 0; var6 < var2; ++var6) {
            int var10 = var3[var6] + '\u8000' >> 16;
            if(var10 < -128) {
               var1[var6] = -128;
            } else if(var10 > 127) {
               var1[var6] = 127;
            } else {
               var1[var6] = (byte)var10;
            }
         }
      }

      return var1;
   }

   public short[] method5231(short[] var1) {
      if(null != this.anIntArrayArray3347) {
         int var2 = 14 + (int)((long)(655883903 * this.anInt3349) * (long)var1.length / (long)(this.anInt3348 * -1502618649));
         int[] var3 = new int[var2];
         int var4 = 0;
         int var5 = 0;

         int var6;
         for(var6 = 0; var6 < var1.length; ++var6) {
            short var7 = var1[var6];
            int[] var8 = this.anIntArrayArray3347[var5];

            int var9;
            for(var9 = 0; var9 < 14; ++var9) {
               var3[var9 + var4] += var8[var9] * var7 >> 2;
            }

            var5 += this.anInt3349 * 655883903;
            var9 = var5 / (this.anInt3348 * -1502618649);
            var4 += var9;
            var5 -= var9 * -1502618649 * this.anInt3348;
         }

         var1 = new short[var2];

         for(var6 = 0; var6 < var2; ++var6) {
            int var10 = var3[var6] + 8192 >> 14;
            if(var10 < -32768) {
               var1[var6] = -32768;
            } else if(var10 > 32767) {
               var1[var6] = 32767;
            } else {
               var1[var6] = (short)var10;
            }
         }
      }

      return var1;
   }

   public short[] method5232(short[] var1) {
      if(null != this.anIntArrayArray3347) {
         int var2 = 14 + (int)((long)(655883903 * this.anInt3349) * (long)var1.length / (long)(this.anInt3348 * -1502618649));
         int[] var3 = new int[var2];
         int var4 = 0;
         int var5 = 0;

         int var6;
         for(var6 = 0; var6 < var1.length; ++var6) {
            short var7 = var1[var6];
            int[] var8 = this.anIntArrayArray3347[var5];

            int var9;
            for(var9 = 0; var9 < 14; ++var9) {
               var3[var9 + var4] += var8[var9] * var7 >> 2;
            }

            var5 += this.anInt3349 * 655883903;
            var9 = var5 / (this.anInt3348 * -1502618649);
            var4 += var9;
            var5 -= var9 * -1502618649 * this.anInt3348;
         }

         var1 = new short[var2];

         for(var6 = 0; var6 < var2; ++var6) {
            int var10 = var3[var6] + 8192 >> 14;
            if(var10 < -32768) {
               var1[var6] = -32768;
            } else if(var10 > 32767) {
               var1[var6] = 32767;
            } else {
               var1[var6] = (short)var10;
            }
         }
      }

      return var1;
   }

   int method5233(int var1, int var2) {
      if(null != this.anIntArrayArray3347) {
         if(var2 <= 1779174663) {
            ;
         }

         var1 = (int)((long)var1 * (long)(this.anInt3349 * 655883903) / (long)(this.anInt3348 * -1502618649));
      }

      return var1;
   }

   public short[] method5234(short[] var1) {
      if(null != this.anIntArrayArray3347) {
         int var2 = 14 + (int)((long)(655883903 * this.anInt3349) * (long)var1.length / (long)(this.anInt3348 * -1502618649));
         int[] var3 = new int[var2];
         int var4 = 0;
         int var5 = 0;

         int var6;
         for(var6 = 0; var6 < var1.length; ++var6) {
            short var7 = var1[var6];
            int[] var8 = this.anIntArrayArray3347[var5];

            int var9;
            for(var9 = 0; var9 < 14; ++var9) {
               var3[var9 + var4] += var8[var9] * var7 >> 2;
            }

            var5 += this.anInt3349 * 655883903;
            var9 = var5 / (this.anInt3348 * -1502618649);
            var4 += var9;
            var5 -= var9 * -1502618649 * this.anInt3348;
         }

         var1 = new short[var2];

         for(var6 = 0; var6 < var2; ++var6) {
            int var10 = var3[var6] + 8192 >> 14;
            if(var10 < -32768) {
               var1[var6] = -32768;
            } else if(var10 > 32767) {
               var1[var6] = 32767;
            } else {
               var1[var6] = (short)var10;
            }
         }
      }

      return var1;
   }

   int method5235(int var1) {
      if(null != this.anIntArrayArray3347) {
         var1 = (int)((long)var1 * (long)(this.anInt3349 * 655883903) / (long)(this.anInt3348 * -1502618649));
      }

      return var1;
   }

   int method5236(int var1) {
      if(null != this.anIntArrayArray3347) {
         var1 = (int)((long)var1 * (long)(this.anInt3349 * 655883903) / (long)(this.anInt3348 * -1502618649));
      }

      return var1;
   }

   int method5237(int var1) {
      if(null != this.anIntArrayArray3347) {
         var1 = (int)((long)var1 * (long)(this.anInt3349 * 655883903) / (long)(this.anInt3348 * -1502618649));
      }

      return var1;
   }

   int method5238(int var1) {
      if(null != this.anIntArrayArray3347) {
         var1 = (int)((long)var1 * (long)(this.anInt3349 * 655883903) / (long)(this.anInt3348 * -1502618649)) + 6;
      }

      return var1;
   }

   public static void method5239(int var0, String var1, byte var2) {
      Class9.method665(var0, 0, "", "", "", var1, -571255369);
   }

   public static final void method5240(String var0, int var1, byte var2) {
      PacketContext var3 = Class35_Sub1.method13169(883808512);
      Class225_Sub15 var4 = Class543.method11415(OutgoingOpcode.aClass302_3807, var3.aClass433_2184, (byte)1);
      var4.buffer.writeByte(1 + Class190.method3320(var0, 877419526), -765864773);
      var4.buffer.writeByteC(var1, 2071763807);
      var4.buffer.writeString(var0, (byte)61);
      var3.method3191(var4, (byte)48);
   }
}
